Installation Media - Bug #2642

Reason: The installer failed to create a partition table on ST320LT012-9WS14C.
2020-02-26 12:38 PM - Olep

Status: unconfirmed % Done: 0%
Priority: bug

Assignee:

Category: Installer

Description

I tried with and without internet connection, before and after an independent hard format of the disk, without changing any default
configuration during the installation and | always end with the same message and error log.

As a bonus, this is the result with the systemd iso. WIith the OpenRC one | can't connect to the wifi, even though all components of
my PC are listed one the h-node site.

History

#1 - 2020-02-26 12:43 PM - Olep

Forgot to mention that I've been able to install another GNU/Linux-libre distro (GNU Guix) without any issue on the same machine.

#2 - 2020-03-09 10:44 AM - bill-auger

- Category set to Installer

there is actually two different bugs described there - the one regarding openrc may be related to this ticket #2628 - i will categorize this one as related
to the installer

did you try an MBR partition table? - also, it may help if you ensure that there are no existing partitions before starting the installer - there has been
problem and some work done to calamares recently - the next version may behave better

#3 - 2020-03-09 03:17 PM - Olep

Sorry, | actually haven't specified that but it's quite important. | tried both to create manually the partition before opening the graphical installer and to
simply format the entire disk with no results or difference.

#4 - 2020-03-09 03:23 PM - bill-auger

unfortunately, its not worth the effort to track down bugs in that version of calamares - calamares moves quite fast; and it and the systemd ISOs are
over-due for an upgraded replacement now - i could put a priority on getting the next calamares out before the next ISOs; so that can be tested - but
maybe you already have successfully installed parabola now, and dont need it - were you able to get parabola installed? - there are several other
ways to do it with that same LivelSO

#5 - 2020-03-09 03:47 PM - Olep

Unfortunately, | haven't tried it again due to a very harsh time at work. I'll try again asap and I'll keep you updated, but | agree with you that upgrading
calamares in the upcoming ISOs is the best way to proceed.

Thanks!
